/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 */

import {
  Button,
  StatusBar,
  StyleSheet,
  Text,
  useColorScheme,
  View,
} from 'react-native';
import { pop } from '../common/NavigationHelper.ts';
import { showMessage } from '@common/ToastHelper.ts';
import Toast from 'react-native-toast-message';

function Hospital() {
  const isDarkMode = useColorScheme() === 'dark';

  return (
    <View style={styles.container}>
      <StatusBar barStyle={isDarkMode ? 'light-content' : 'dark-content'} />
      <View style={{ height: 100 }} />
      <Text>互联网医院</Text>
      <Button
        title={'返回'}
        onPress={() => {
          pop();
        }}
      />
      <View style={{ height: 15 }} />
      <Button
        title={'Toast'}
        onPress={() => {
          showMessage('互联网医院弹出toast', 'info', 'common向下兼容');
        }}
      />
      <Toast />
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
});

export default Hospital;
